<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('operatore_has_dispositivo', function (Blueprint $table) {
            $table->id();
            $table->foreignId('operatore_id')->constrained('operatore')->cascadeOnDelete();
            $table->foreignId('dispositivo_id')->constrained('dispositivo')->cascadeOnDelete();
            $table->unique(['operatore_id', 'dispositivo_id']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('operatore_has_dispositivo');
    }
};
